net.sf.jasperreports.engine.fill

## Class FillStyleProviderContext

- java.lang.Object
- - net.sf.jasperreports.engine.fill.FillStyleProviderContext

- All Implemented Interfaces:
    StyleProviderContext

      public class FillStyleProviderContext
      extends java.lang.Object
      implements StyleProviderContext

  Version:
    $Id: FillStyleProviderContext.java 6510 2013-09-13 12:12:34Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FillStyleProviderContext(JRFillElement element)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluateExpression(JRExpression expression, byte evaluation)`
    `JRElement` | `getElement()`
    `java.lang.Object` | `getFieldValue(java.lang.String fieldName, byte evaluation)`
    `JasperReportsContext` | `getJasperReportsContext()`
    `java.util.Locale` | `getLocale()`
    `java.util.TimeZone` | `getTimeZone()`
    `java.lang.Object` | `getVariableValue(java.lang.String variableName, byte evaluation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillStyleProviderContext

          protected FillStyleProviderContext(JRFillElement element)

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

      Specified by:
        `getJasperReportsContext` in interface `StyleProviderContext`

    - #### getElement

          public JRElement getElement()

      Specified by:
        `getElement` in interface `StyleProviderContext`

    - #### evaluateExpression

          public java.lang.Object evaluateExpression(JRExpression expression,
                                            byte evaluation)

      Specified by:
        `evaluateExpression` in interface `StyleProviderContext`

    - #### getFieldValue

          public java.lang.Object getFieldValue(java.lang.String fieldName,
                                       byte evaluation)

      Specified by:
        `getFieldValue` in interface `StyleProviderContext`

    - #### getVariableValue

          public java.lang.Object getVariableValue(java.lang.String variableName,
                                          byte evaluation)

      Specified by:
        `getVariableValue` in interface `StyleProviderContext`

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `StyleProviderContext`

    - #### getTimeZone

          public java.util.TimeZone getTimeZone()

      Specified by:
        `getTimeZone` in interface `StyleProviderContext`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com